<h1>Dokumenty</h1>

<div>
    <i class="label label-success" ng-bind="ctrl.invoices.length"></i>
    <i class="label label-warning" ng-bind="ctrl.count_filtered"></i>
    <i class="label label-primary" ng-bind="ctrl.count"></i>
    
    <div style="float: right">
        <form class="form form-inline">
            <button class="btn btn-default fa fa-arrow-left" ng-click="ctrl.prevDocuments()" ng-disabled="ctrl.common.selector.from <= ctrl.common.selector.limit"></button>
            <input style="width: 5em;" class="form-control" type="number" min="1" ng-model="ctrl.common.selector.limit" ng-change="ctrl.getDocuments()"/>
            <button class="btn btn-default fa fa-arrow-right" ng-click="ctrl.nextDocuments()" ng-disabled="ctrl.common.selector.from + ctrl.common.selector.limit > ctrl.count_filtered"></button>
        </form>
    </div>
    
</div>

<p>&nbsp;</p>

<table class="table table-stripped table-hover">
    <tr>
        <th style="text-align: right">#</th>
        <th>Numer</th>
        <th>Klient</th>
        <th style="text-align: right">Wierszy</th>
        <th style="text-align: right">Wartość całkowita</th>
        <th>&nbsp;</th>
    </tr>
    <tr>
        <td>&nbsp</td>
        <td><input type="text" class="form-control" ng-model="ctrl.common.selector.no" ng-change="ctrl.getDocuments()"/></td>
        <td><input type="text" class="form-control" ng-model="ctrl.common.selector.client" ng-change="ctrl.getDocuments()"/></td>
        <td>&nbsp</td>
        <td style="text-align: right">
            <form class="form form-inline">
                <input type="number" style="width: 5em;" class="form-control form-control-sm" ng-model="ctrl.common.selector.minValue" ng-change="ctrl.getDocuments()"/>
                -
                <input type="number" style="width: 5em;" class="form-control form-control-sm" ng-model="ctrl.common.selector.maxValue" ng-change="ctrl.getDocuments()"/>
            </form>
        </td>
        <td>
            <button class="btn btn-default fa fa-times" ng-click="ctrl.clearSelector()"></button>
        </td>
    </tr>
    <tr ng-repeat="invoice in ctrl.invoices" ng-class="{ not_booked: invoice.status != 1, focused: invoice.no == ctrl.common.focusedNo }" ng-mouseover="ctrl.focused = $index">
        <td style="text-align: right" ng-bind="invoice.row"></td>
        <td ng-bind="invoice.no"></td>
        <td ng-bind="invoice.client"></td>
        <td style="text-align: right" ng-bind="invoice.rows"></td>
        <td style="text-align: right" ng-bind="invoice.value | number:2"></td>
        <td>
            <button class="btn btn-default btn-sm fa fa-arrow-right" ng-if="ctrl.focused == $index" ng-click="ctrl.goToInvoice()"></button>
        </td>
    </tr>
</table>